comparison configure @ 83635:9c01792a3ce8

Merge from emacs--devo--0 Patches applied: * emacs--devo--0 (patch 793-802) - Update from CVS - Remove RCS keywords - Merge from emacs--rel--22 * emacs--rel--22 (patch 42-50) - Update from CVS - Merge from gnus--rel--5.10 - Gnus ChangeLog tweaks * gnus--rel--5.10 (patch 229-232) - Merge from emacs--devo--0, emacs--rel--22 - ChangeLog tweak - Update from CVS Revision: emacs@sv.gnu.org/emacs--multi-tty--0--patch-23
author Miles Bader <miles@gnu.org>
date Sat, 16 Jun 2007 22:33:42 +0000
parents cc587bfd19ca e300151b6b3a
children 0ece58f6e0aa
comparison
equal deleted inserted replaced
83634:391cce03f832 83635:9c01792a3ce8
1335 --with-x-toolkit=KIT use an X toolkit 1335 --with-x-toolkit=KIT use an X toolkit
1336 (KIT = yes/lucid/athena/motif/gtk/no) 1336 (KIT = yes/lucid/athena/motif/gtk/no)
1337 --with-xpm use -lXpm for displaying XPM images 1337 --with-xpm use -lXpm for displaying XPM images
1338 --with-jpeg use -ljpeg for displaying JPEG images 1338 --with-jpeg use -ljpeg for displaying JPEG images
1339 --with-tiff use -ltiff for displaying TIFF images 1339 --with-tiff use -ltiff for displaying TIFF images
1340 --with-gif use -lungif for displaying GIF images 1340 --with-gif use -lungif (or -lgif) for displaying GIF images
1341 --with-png use -lpng for displaying PNG images 1341 --with-png use -lpng for displaying PNG images
1342 --with-gpm use -lgpm for mouse support on a GNU/Linux console 1342 --with-gpm use -lgpm for mouse support on a GNU/Linux console
1343 --with-gtk use GTK (same as --with-x-toolkit=gtk) 1343 --with-gtk use GTK (same as --with-x-toolkit=gtk)
1344 --with-pkg-config-prog Path to pkg-config to use for finding GTK 1344 --with-pkg-config-prog Path to pkg-config to use for finding GTK
1345 --without-toolkit-scroll-bars 1345 --without-toolkit-scroll-bars
1896 l | lu | luc | luci | lucid ) val=lucid ;; 1896 l | lu | luc | luci | lucid ) val=lucid ;;
1897 a | at | ath | athe | athen | athena ) val=athena ;; 1897 a | at | ath | athe | athen | athena ) val=athena ;;
1898 m | mo | mot | moti | motif ) val=motif ;; 1898 m | mo | mot | moti | motif ) val=motif ;;
1899 g | gt | gtk ) val=gtk ;; 1899 g | gt | gtk ) val=gtk ;;
1900 * ) 1900 * )
1901 { { echo "$as_me:$LINENO: error: \`--with-x-toolkit=$withval' is invalid\; 1901 { { echo "$as_me:$LINENO: error: \`--with-x-toolkit=$withval' is invalid;
1902 this option's value should be \`yes', \`no', \`lucid', \`athena', \`motif' or \`gtk'. 1902 this option's value should be \`yes', \`no', \`lucid', \`athena', \`motif' or \`gtk'.
1903 Currently, \`yes' and \`gtk', and \`athena' and \`lucid' are synonyms." >&5 1903 \`yes' and \`gtk' are synonyms. \`athena' and \`lucid' are synonyms." >&5
1904 echo "$as_me: error: \`--with-x-toolkit=$withval' is invalid\; 1904 echo "$as_me: error: \`--with-x-toolkit=$withval' is invalid;
1905 this option's value should be \`yes', \`no', \`lucid', \`athena', \`motif' or \`gtk'. 1905 this option's value should be \`yes', \`no', \`lucid', \`athena', \`motif' or \`gtk'.
1906 Currently, \`yes' and \`gtk', and \`athena' and \`lucid' are synonyms." >&2;} 1906 \`yes' and \`gtk' are synonyms. \`athena' and \`lucid' are synonyms." >&2;}
1907 { (exit 1); exit 1; }; } 1907 { (exit 1); exit 1; }; }
1908 ;; 1908 ;;
1909 esac 1909 esac
1910 with_x_toolkit=$val 1910 with_x_toolkit=$val
1911 1911
12096 LIBS="$OLD_LIBS" 12096 LIBS="$OLD_LIBS"
12097 fi 12097 fi
12098 fi 12098 fi
12099 fi 12099 fi
12100 12100
12101 HAVE_XAW3D=no
12101 if test x"${USE_X_TOOLKIT}" = xmaybe || test x"${USE_X_TOOLKIT}" = xLUCID; then 12102 if test x"${USE_X_TOOLKIT}" = xmaybe || test x"${USE_X_TOOLKIT}" = xLUCID; then
12102 if test x"${HAVE_X11R5}" = xyes; then 12103 if test x"${HAVE_X11R5}" != xyes; then
12103 { echo "$as_me:$LINENO: checking X11 version 5 with Xaw" >&5 12104 USE_X_TOOLKIT=none
12104 echo $ECHO_N "checking X11 version 5 with Xaw... $ECHO_C" >&6; } 12105 else
12105 if test "${emacs_cv_x11_version_5_with_xaw+set}" = set; then 12106 { echo "$as_me:$LINENO: checking for xaw3d" >&5
12107 echo $ECHO_N "checking for xaw3d... $ECHO_C" >&6; }
12108 if test "${emacs_cv_xaw3d+set}" = set; then
12109 echo $ECHO_N "(cached) $ECHO_C" >&6
12110 else
12111 cat >conftest.$ac_ext <<_ACEOF
12112 /* confdefs.h. */
12113 _ACEOF
12114 cat confdefs.h >>conftest.$ac_ext
12115 cat >>conftest.$ac_ext <<_ACEOF
12116 /* end confdefs.h. */
12117
12118 #include <X11/Intrinsic.h>
12119 #include <X11/Xaw3d/Simple.h>
12120 int
12121 main ()
12122 {
12123
12124 ;
12125 return 0;
12126 }
12127 _ACEOF
12128 rm -f conftest.$ac_objext conftest$ac_exeext
12129 if { (ac_try="$ac_link"
12130 case "(($ac_try" in
12131 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
12132 *) ac_try_echo=$ac_try;;
12133 esac
12134 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
12135 (eval "$ac_link") 2>conftest.er1
12136 ac_status=$?
12137 grep -v '^ *+' conftest.er1 >conftest.err
12138 rm -f conftest.er1
12139 cat conftest.err >&5
12140 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12141 (exit $ac_status); } && {
12142 test -z "$ac_c_werror_flag" ||
12143 test ! -s conftest.err
12144 } && test -s conftest$ac_exeext &&
12145 $as_test_x conftest$ac_exeext; then
12146 emacs_cv_xaw3d=yes
12147 else
12148 echo "$as_me: failed program was:" >&5
12149 sed 's/^/| /' conftest.$ac_ext >&5
12150
12151 emacs_cv_xaw3d=no
12152 fi
12153
12154 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
12155 conftest$ac_exeext conftest.$ac_ext
12156 fi
12157
12158 if test $emacs_cv_xaw3d = yes; then
12159 { echo "$as_me:$LINENO: result: yes; using Lucid toolkit" >&5
12160 echo "${ECHO_T}yes; using Lucid toolkit" >&6; }
12161 USE_X_TOOLKIT=LUCID
12162 HAVE_XAW3D=yes
12163
12164 cat >>confdefs.h <<\_ACEOF
12165 #define HAVE_XAW3D 1
12166 _ACEOF
12167
12168 else
12169 { echo "$as_me:$LINENO: result: no" >&5
12170 echo "${ECHO_T}no" >&6; }
12171 { echo "$as_me:$LINENO: checking for libXaw" >&5
12172 echo $ECHO_N "checking for libXaw... $ECHO_C" >&6; }
12173 if test "${emacs_cv_xaw+set}" = set; then
12106 echo $ECHO_N "(cached) $ECHO_C" >&6 12174 echo $ECHO_N "(cached) $ECHO_C" >&6
12107 else 12175 else
12108 cat >conftest.$ac_ext <<_ACEOF 12176 cat >conftest.$ac_ext <<_ACEOF
12109 /* confdefs.h. */ 12177 /* confdefs.h. */
12110 _ACEOF 12178 _ACEOF
12138 (exit $ac_status); } && { 12206 (exit $ac_status); } && {
12139 test -z "$ac_c_werror_flag" || 12207 test -z "$ac_c_werror_flag" ||
12140 test ! -s conftest.err 12208 test ! -s conftest.err
12141 } && test -s conftest$ac_exeext && 12209 } && test -s conftest$ac_exeext &&
12142 $as_test_x conftest$ac_exeext; then 12210 $as_test_x conftest$ac_exeext; then
12143 emacs_cv_x11_version_5_with_xaw=yes 12211 emacs_cv_xaw=yes
12144 else 12212 else
12145 echo "$as_me: failed program was:" >&5 12213 echo "$as_me: failed program was:" >&5
12146 sed 's/^/| /' conftest.$ac_ext >&5 12214 sed 's/^/| /' conftest.$ac_ext >&5
12147 12215
12148 emacs_cv_x11_version_5_with_xaw=no 12216 emacs_cv_xaw=no
12149 fi 12217 fi
12150 12218
12151 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \ 12219 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
12152 conftest$ac_exeext conftest.$ac_ext 12220 conftest$ac_exeext conftest.$ac_ext
12153 fi 12221 fi
12154 12222
12155 if test $emacs_cv_x11_version_5_with_xaw = yes; then 12223 if test $emacs_cv_xaw = yes; then
12156 { echo "$as_me:$LINENO: result: 5 or newer, with Xaw; use toolkit by default" >&5 12224 { echo "$as_me:$LINENO: result: yes; using Lucid toolkit" >&5
12157 echo "${ECHO_T}5 or newer, with Xaw; use toolkit by default" >&6; } 12225 echo "${ECHO_T}yes; using Lucid toolkit" >&6; }
12158 USE_X_TOOLKIT=LUCID 12226 USE_X_TOOLKIT=LUCID
12159 else 12227 elif test x"${USE_X_TOOLKIT}" = xLUCID; then
12160 if test x"${USE_X_TOOLKIT}" = xLUCID; then
12161 { { echo "$as_me:$LINENO: error: Lucid toolkit requires X11/Xaw include files" >&5 12228 { { echo "$as_me:$LINENO: error: Lucid toolkit requires X11/Xaw include files" >&5
12162 echo "$as_me: error: Lucid toolkit requires X11/Xaw include files" >&2;} 12229 echo "$as_me: error: Lucid toolkit requires X11/Xaw include files" >&2;}
12163 { (exit 1); exit 1; }; } 12230 { (exit 1); exit 1; }; }
12164 else 12231 else
12165 { echo "$as_me:$LINENO: result: before 5 or no Xaw; do not use toolkit by default" >&5 12232 { echo "$as_me:$LINENO: result: no; do not use toolkit by default" >&5
12166 echo "${ECHO_T}before 5 or no Xaw; do not use toolkit by default" >&6; } 12233 echo "${ECHO_T}no; do not use toolkit by default" >&6; }
12167 USE_X_TOOLKIT=none 12234 USE_X_TOOLKIT=none
12168 fi 12235 fi
12169 fi 12236 fi
12170 else
12171 USE_X_TOOLKIT=none
12172 fi 12237 fi
12173 fi 12238 fi
12174 12239
12175 X_TOOLKIT_TYPE=$USE_X_TOOLKIT 12240 X_TOOLKIT_TYPE=$USE_X_TOOLKIT
12176 12241
12599 REAL_CPPFLAGS="-I/usr/X11R6/LessTif/Motif1.2/include $REAL_CPPFLAGS" 12664 REAL_CPPFLAGS="-I/usr/X11R6/LessTif/Motif1.2/include $REAL_CPPFLAGS"
12600 LDFLAGS="-L/usr/X11R6/LessTif/Motif1.2/lib $LDFLAGS" 12665 LDFLAGS="-L/usr/X11R6/LessTif/Motif1.2/lib $LDFLAGS"
12601 else 12666 else
12602 CFLAGS=$OLD_CFLAGS 12667 CFLAGS=$OLD_CFLAGS
12603 CPPFLAGS=$OLD_CPPFLAGS 12668 CPPFLAGS=$OLD_CPPFLAGS
12604 fi
12605 fi
12606 fi
12607
12608 ### Is -lXaw3d available?
12609 HAVE_XAW3D=no
12610 if test "${HAVE_X11}" = "yes"; then
12611 if test "${USE_X_TOOLKIT}" != "none" && test "${with_toolkit_scroll_bars}" != "no"; then
12612 { echo "$as_me:$LINENO: checking for X11/Xaw3d/Scrollbar.h" >&5
12613 echo $ECHO_N "checking for X11/Xaw3d/Scrollbar.h... $ECHO_C" >&6; }
12614 if test "${ac_cv_header_X11_Xaw3d_Scrollbar_h+set}" = set; then
12615 echo $ECHO_N "(cached) $ECHO_C" >&6
12616 else
12617 cat >conftest.$ac_ext <<_ACEOF
12618 /* confdefs.h. */
12619 _ACEOF
12620 cat confdefs.h >>conftest.$ac_ext
12621 cat >>conftest.$ac_ext <<_ACEOF
12622 /* end confdefs.h. */
12623 #include <X11/Xaw3d/Scrollbar.h>
12624 _ACEOF
12625 if { (ac_try="$ac_cpp conftest.$ac_ext"
12626 case "(($ac_try" in
12627 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
12628 *) ac_try_echo=$ac_try;;
12629 esac
12630 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
12631 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
12632 ac_status=$?
12633 grep -v '^ *+' conftest.er1 >conftest.err
12634 rm -f conftest.er1
12635 cat conftest.err >&5
12636 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12637 (exit $ac_status); } >/dev/null && {
12638 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
12639 test ! -s conftest.err
12640 }; then
12641 ac_cv_header_X11_Xaw3d_Scrollbar_h=yes
12642 else
12643 echo "$as_me: failed program was:" >&5
12644 sed 's/^/| /' conftest.$ac_ext >&5
12645
12646 ac_cv_header_X11_Xaw3d_Scrollbar_h=no
12647 fi
12648
12649 rm -f conftest.err conftest.$ac_ext
12650 fi
12651 { echo "$as_me:$LINENO: result: $ac_cv_header_X11_Xaw3d_Scrollbar_h" >&5
12652 echo "${ECHO_T}$ac_cv_header_X11_Xaw3d_Scrollbar_h" >&6; }
12653 if test $ac_cv_header_X11_Xaw3d_Scrollbar_h = yes; then
12654 { echo "$as_me:$LINENO: checking for XawScrollbarSetThumb in -lXaw3d" >&5
12655 echo $ECHO_N "checking for XawScrollbarSetThumb in -lXaw3d... $ECHO_C" >&6; }
12656 if test "${ac_cv_lib_Xaw3d_XawScrollbarSetThumb+set}" = set; then
12657 echo $ECHO_N "(cached) $ECHO_C" >&6
12658 else
12659 ac_check_lib_save_LIBS=$LIBS
12660 LIBS="-lXaw3d $LIBS"
12661 cat >conftest.$ac_ext <<_ACEOF
12662 /* confdefs.h. */
12663 _ACEOF
12664 cat confdefs.h >>conftest.$ac_ext
12665 cat >>conftest.$ac_ext <<_ACEOF
12666 /* end confdefs.h. */
12667
12668 /* Override any GCC internal prototype to avoid an error.
12669 Use char because int might match the return type of a GCC
12670 builtin and then its argument prototype would still apply. */
12671 #ifdef __cplusplus
12672 extern "C"
12673 #endif
12674 char XawScrollbarSetThumb ();
12675 int
12676 main ()
12677 {
12678 return XawScrollbarSetThumb ();
12679 ;
12680 return 0;
12681 }
12682 _ACEOF
12683 rm -f conftest.$ac_objext conftest$ac_exeext
12684 if { (ac_try="$ac_link"
12685 case "(($ac_try" in
12686 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
12687 *) ac_try_echo=$ac_try;;
12688 esac
12689 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
12690 (eval "$ac_link") 2>conftest.er1
12691 ac_status=$?
12692 grep -v '^ *+' conftest.er1 >conftest.err
12693 rm -f conftest.er1
12694 cat conftest.err >&5
12695 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12696 (exit $ac_status); } && {
12697 test -z "$ac_c_werror_flag" ||
12698 test ! -s conftest.err
12699 } && test -s conftest$ac_exeext &&
12700 $as_test_x conftest$ac_exeext; then
12701 ac_cv_lib_Xaw3d_XawScrollbarSetThumb=yes
12702 else
12703 echo "$as_me: failed program was:" >&5
12704 sed 's/^/| /' conftest.$ac_ext >&5
12705
12706 ac_cv_lib_Xaw3d_XawScrollbarSetThumb=no
12707 fi
12708
12709 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
12710 conftest$ac_exeext conftest.$ac_ext
12711 LIBS=$ac_check_lib_save_LIBS
12712 fi
12713 { echo "$as_me:$LINENO: result: $ac_cv_lib_Xaw3d_XawScrollbarSetThumb" >&5
12714 echo "${ECHO_T}$ac_cv_lib_Xaw3d_XawScrollbarSetThumb" >&6; }
12715 if test $ac_cv_lib_Xaw3d_XawScrollbarSetThumb = yes; then
12716 HAVE_XAW3D=yes
12717 fi
12718
12719 fi
12720
12721
12722 if test "${HAVE_XAW3D}" = "yes"; then
12723
12724 cat >>confdefs.h <<\_ACEOF
12725 #define HAVE_XAW3D 1
12726 _ACEOF
12727
12728 fi 12669 fi
12729 fi 12670 fi
12730 fi 12671 fi
12731 12672
12732 12673
13806 _ACEOF 13747 _ACEOF
13807 13748
13808 fi 13749 fi
13809 fi 13750 fi
13810 13751
13811 ### Use -lgif if available, unless `--with-gif=no'. 13752 ### Use -lgif or -lungif if available, unless `--with-gif=no'.
13812 HAVE_GIF=no 13753 HAVE_GIF=no
13813 if test "${HAVE_X11}" = "yes"; then 13754 if test "${HAVE_X11}" = "yes" && test "${with_gif}" != "no"; then
13814 if test "${with_gif}" != "no"; then 13755 if test "${ac_cv_header_gif_lib_h+set}" = set; then
13815 if test "${ac_cv_header_gif_lib_h+set}" = set; then
13816 { echo "$as_me:$LINENO: checking for gif_lib.h" >&5 13756 { echo "$as_me:$LINENO: checking for gif_lib.h" >&5
13817 echo $ECHO_N "checking for gif_lib.h... $ECHO_C" >&6; } 13757 echo $ECHO_N "checking for gif_lib.h... $ECHO_C" >&6; }
13818 if test "${ac_cv_header_gif_lib_h+set}" = set; then 13758 if test "${ac_cv_header_gif_lib_h+set}" = set; then
13819 echo $ECHO_N "(cached) $ECHO_C" >&6 13759 echo $ECHO_N "(cached) $ECHO_C" >&6
13820 fi 13760 fi
13938 13878
13939 fi 13879 fi
13940 if test $ac_cv_header_gif_lib_h = yes; then 13880 if test $ac_cv_header_gif_lib_h = yes; then
13941 # EGifPutExtensionLast only exists from version libungif-4.1.0b1. 13881 # EGifPutExtensionLast only exists from version libungif-4.1.0b1.
13942 # Earlier versions can crash Emacs. 13882 # Earlier versions can crash Emacs.
13943 { echo "$as_me:$LINENO: checking for EGifPutExtensionLast in -lungif" >&5 13883 { echo "$as_me:$LINENO: checking for EGifPutExtensionLast in -lungif" >&5
13944 echo $ECHO_N "checking for EGifPutExtensionLast in -lungif... $ECHO_C" >&6; } 13884 echo $ECHO_N "checking for EGifPutExtensionLast in -lungif... $ECHO_C" >&6; }
13945 if test "${ac_cv_lib_ungif_EGifPutExtensionLast+set}" = set; then 13885 if test "${ac_cv_lib_ungif_EGifPutExtensionLast+set}" = set; then
13946 echo $ECHO_N "(cached) $ECHO_C" >&6 13886 echo $ECHO_N "(cached) $ECHO_C" >&6
13947 else 13887 else
13948 ac_check_lib_save_LIBS=$LIBS 13888 ac_check_lib_save_LIBS=$LIBS
14001 fi 13941 fi
14002 { echo "$as_me:$LINENO: result: $ac_cv_lib_ungif_EGifPutExtensionLast" >&5 13942 { echo "$as_me:$LINENO: result: $ac_cv_lib_ungif_EGifPutExtensionLast" >&5
14003 echo "${ECHO_T}$ac_cv_lib_ungif_EGifPutExtensionLast" >&6; } 13943 echo "${ECHO_T}$ac_cv_lib_ungif_EGifPutExtensionLast" >&6; }
14004 if test $ac_cv_lib_ungif_EGifPutExtensionLast = yes; then 13944 if test $ac_cv_lib_ungif_EGifPutExtensionLast = yes; then
14005 HAVE_GIF=yes 13945 HAVE_GIF=yes
14006 fi 13946 else
14007 13947 try_libgif=yes
14008 fi 13948 fi
14009 13949
14010 13950 fi
13951
13952
13953
13954 if test "$HAVE_GIF" = yes; then
13955 ac_gif_lib_name="-lungif"
13956 fi
13957
13958 # If gif_lib.h but no libungif, try libgif.
13959 if test x"$try_libgif" = xyes; then
13960 { echo "$as_me:$LINENO: checking for EGifPutExtensionLast in -lgif" >&5
13961 echo $ECHO_N "checking for EGifPutExtensionLast in -lgif... $ECHO_C" >&6; }
13962 if test "${ac_cv_lib_gif_EGifPutExtensionLast+set}" = set; then
13963 echo $ECHO_N "(cached) $ECHO_C" >&6
13964 else
13965 ac_check_lib_save_LIBS=$LIBS
13966 LIBS="-lgif $LIBS"
13967 cat >conftest.$ac_ext <<_ACEOF
13968 /* confdefs.h. */
13969 _ACEOF
13970 cat confdefs.h >>conftest.$ac_ext
13971 cat >>conftest.$ac_ext <<_ACEOF
13972 /* end confdefs.h. */
13973
13974 /* Override any GCC internal prototype to avoid an error.
13975 Use char because int might match the return type of a GCC
13976 builtin and then its argument prototype would still apply. */
13977 #ifdef __cplusplus
13978 extern "C"
13979 #endif
13980 char EGifPutExtensionLast ();
13981 int
13982 main ()
13983 {
13984 return EGifPutExtensionLast ();
13985 ;
13986 return 0;
13987 }
13988 _ACEOF
13989 rm -f conftest.$ac_objext conftest$ac_exeext
13990 if { (ac_try="$ac_link"
13991 case "(($ac_try" in
13992 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
13993 *) ac_try_echo=$ac_try;;
13994 esac
13995 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
13996 (eval "$ac_link") 2>conftest.er1
13997 ac_status=$?
13998 grep -v '^ *+' conftest.er1 >conftest.err
13999 rm -f conftest.er1
14000 cat conftest.err >&5
14001 echo "$as_me:$LINENO: \$? = $ac_status" >&5
14002 (exit $ac_status); } && {
14003 test -z "$ac_c_werror_flag" ||
14004 test ! -s conftest.err
14005 } && test -s conftest$ac_exeext &&
14006 $as_test_x conftest$ac_exeext; then
14007 ac_cv_lib_gif_EGifPutExtensionLast=yes
14008 else
14009 echo "$as_me: failed program was:" >&5
14010 sed 's/^/| /' conftest.$ac_ext >&5
14011
14012 ac_cv_lib_gif_EGifPutExtensionLast=no
14013 fi
14014
14015 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
14016 conftest$ac_exeext conftest.$ac_ext
14017 LIBS=$ac_check_lib_save_LIBS
14018 fi
14019 { echo "$as_me:$LINENO: result: $ac_cv_lib_gif_EGifPutExtensionLast" >&5
14020 echo "${ECHO_T}$ac_cv_lib_gif_EGifPutExtensionLast" >&6; }
14021 if test $ac_cv_lib_gif_EGifPutExtensionLast = yes; then
14022 HAVE_GIF=yes
14023 fi
14024
14025
14026 if test "$HAVE_GIF" = yes; then
14027
14028 cat >>confdefs.h <<\_ACEOF
14029 #define LIBGIF -lgif
14030 _ACEOF
14031
14032 ac_gif_lib_name="-lgif"
14033 fi
14011 fi 14034 fi
14012 14035
14013 if test "${HAVE_GIF}" = "yes"; then 14036 if test "${HAVE_GIF}" = "yes"; then
14014 14037
14015 cat >>confdefs.h <<\_ACEOF 14038 cat >>confdefs.h <<\_ACEOF
14016 #define HAVE_GIF 1 14039 #define HAVE_GIF 1
14017 _ACEOF 14040 _ACEOF
14018 14041
14042 fi
14043 fi
14044
14045 if test "${HAVE_X11}" = "yes"; then
14046 MISSING=""
14047 WITH_NO=""
14048 test "${with_xpm}" != "no" && test "${HAVE_XPM}" != "yes" &&
14049 MISSING="libXpm" && WITH_NO="--with-xpm=no"
14050 test "${with_jpeg}" != "no" && test "${HAVE_JPEG}" != "yes" &&
14051 MISSING="$MISSING libjpeg" && WITH_NO="$WITH_NO --with-jpeg=no"
14052 test "${with_png}" != "no" && test "${HAVE_PNG}" != "yes" &&
14053 MISSING="$MISSING libpng" && WITH_NO="$WITH_NO --with-png=no"
14054 test "${with_gif}" != "no" && test "${HAVE_GIF}" != "yes" &&
14055 MISSING="$MISSING libgif/libungif" && WITH_NO="$WITH_NO --with-gif=no"
14056 test "${with_tiff}" != "no" && test "${HAVE_TIFF}" != "yes" &&
14057 MISSING="$MISSING libtiff" && WITH_NO="$WITH_NO --with-tiff=no"
14058
14059 if test "X${MISSING}" != X; then
14060 { { echo "$as_me:$LINENO: error: The following required libraries was not found:
14061 $MISSING
14062 Maybe some development libraries/packages are missing?
14063 If you don't want to link with them give
14064 $WITH_NO
14065 as options to configure" >&5
14066 echo "$as_me: error: The following required libraries was not found:
14067 $MISSING
14068 Maybe some development libraries/packages are missing?
14069 If you don't want to link with them give
14070 $WITH_NO
14071 as options to configure" >&2;}
14072 { (exit 1); exit 1; }; }
14019 fi 14073 fi
14020 fi 14074 fi
14021 14075
14022 ### Use -lgpm if available, unless `--with-gpm=no'. 14076 ### Use -lgpm if available, unless `--with-gpm=no'.
14023 HAVE_GPM=no 14077 HAVE_GPM=no
23360 23414
23361 23415
23362 23416
23363 23417
23364 23418
23419
23365 #### Report on what we decided to do. 23420 #### Report on what we decided to do.
23366 #### Report GTK as a toolkit, even if it doesn't use Xt. 23421 #### Report GTK as a toolkit, even if it doesn't use Xt.
23367 #### It makes printing result more understandable as using GTK sets 23422 #### It makes printing result more understandable as using GTK sets
23368 #### toolkit_scroll_bars to yes by default. 23423 #### toolkit_scroll_bars to yes by default.
23369 if test "${HAVE_GTK}" = "yes"; then 23424 if test "${HAVE_GTK}" = "yes"; then
23396 23451
23397 echo " Does Emacs use -lXaw3d? ${HAVE_XAW3D}" 23452 echo " Does Emacs use -lXaw3d? ${HAVE_XAW3D}"
23398 echo " Does Emacs use -lXpm? ${HAVE_XPM}" 23453 echo " Does Emacs use -lXpm? ${HAVE_XPM}"
23399 echo " Does Emacs use -ljpeg? ${HAVE_JPEG}" 23454 echo " Does Emacs use -ljpeg? ${HAVE_JPEG}"
23400 echo " Does Emacs use -ltiff? ${HAVE_TIFF}" 23455 echo " Does Emacs use -ltiff? ${HAVE_TIFF}"
23401 echo " Does Emacs use -lungif? ${HAVE_GIF}" 23456 echo " Does Emacs use a gif library? ${HAVE_GIF} $ac_gif_lib_name"
23402 echo " Does Emacs use -lpng? ${HAVE_PNG}" 23457 echo " Does Emacs use -lpng? ${HAVE_PNG}"
23403 echo " Does Emacs use -lgpm? ${HAVE_GPM}" 23458 echo " Does Emacs use -lgpm? ${HAVE_GPM}"
23404 echo " Does Emacs use X toolkit scroll bars? ${USE_TOOLKIT_SCROLL_BARS}" 23459 echo " Does Emacs use X toolkit scroll bars? ${USE_TOOLKIT_SCROLL_BARS}"
23405 echo 23460 echo
23406 23461